Project JEDI - Issue Tracker
Mantis Bugtracker

Viewing Issue Simple Details Jump to Notes ] View Advanced ] Issue History ] Print ]
ID Category Severity Reproducibility Date Submitted Last Update
0002362 [JEDI VCL] 02 Installation block always 2004-12-04 10:13 2004-12-29 16:45
Reporter anonymous View Status public  
Assigned To
Priority normal Resolution fixed  
Status resolved   Product Version 3.00 BETA 2
Summary 0002362: Path error (bad quotes) DJclVcl.dcp doesn't exist
Description When I install, I get this error

Windows 2000 Service Pack 4 (5.0.2195)

MAKE Version 5.2 Copyright (c) 1987, 1998 Inprise Corp.
[Generating: Templates]
MAKE Version 5.2 Copyright (c) 1987, 1998 Inprise Corp.
Writing: ..\D7\dcc32.cfg
[Generating: Packages]
Generating packages for D7
    Loaded template.dof
    Loaded template.dpk
    Loaded template.res
MAKE Version 5.2 Copyright (c) 1987, 1998 Inprise Corp.
MAKE Version 5.2 Copyright (c) 1987, 1998 Inprise Corp.
[Compiling: Packages]
MAKE Version 5.2 Copyright (c) 1987, 1998 Inprise Corp.
Fatal: '"C:\Program Files\Borland\Delphi7\Projects\Bpl"\DJclVcl.dcp' does not exist - don't know how to make it
** error 1 ** deleting CompilePackages
Additional Information
Tags No tags attached.
Attached Files

- Relationships

-  Notes
(0005831)
AHUser (developer)
2004-12-05 01:10

Do you have installed the JCL before you started the JVCL installer?
(0005933)
anonymous (viewer)
2004-12-19 12:21

Here are the steps I did and retry today

Download JCL+JVCL210FullInstall.zip
Extract it to a temporary folder\JCL+JVCL210FullInstall
run temp\JCL+JVCL210FullInstall\install.bat

After a short DOS console, a new window appear : "JEDI Installer".
I let all defaults : all checked / BPL Path=C:\Program Files\Borland\Delphi7\Projects\Bpl / DCP path = C:\Program Files\Borland\Delphi7\Projects\Bpl

I click on "Install"
A few seconds later, I get twice the same error message.
JEDI Installer:
Installation of temp\JCL+JVCL210FullInstall\install.bat\JVCL\packages\JVCL200_R70.dpk failed.
Try running the installer again. If it still doesn't work, try doing a manual install from Delphi.

How to do this manual install?

--------------------

In the JVCL300BETA2Complete archive I downloaded, there is only JVCL.

How can I install a JCL before that if the JCL of the JCL+JVCL210FullInstall.zip
doesn't want to install ?
(0005934)
AHUser (developer)
2004-12-19 13:21

Download the JCL and the JVCL daily snapshots which are more stable than the BETA version.

JCL: http://jcl.sf.net/daily [^]
JVCL: http://jvcl.sf.net/daily [^]
(0005970)
obones (administrator)
2004-12-21 03:33

You may also download the JVCL3Beta2 with JCL inside it:

http://prdownloads.sourceforge.net/jvcl/JVCL300BETA2JCL192-Build1666Complete.zip?download [^]
(0006037)
AHUser (developer)
2004-12-29 16:45

Fixed in CVS. MessageDlg appears that requests to install the JCL.

- Issue History
Date Modified Username Field Change
2004-12-04 10:13 anonymous New Issue
2004-12-05 01:10 AHUser Note Added: 0005831
2004-12-05 01:11 AHUser Status new => feedback
2004-12-19 12:21 anonymous Note Added: 0005933
2004-12-19 13:21 AHUser Note Added: 0005934
2004-12-21 03:33 obones Note Added: 0005970
2004-12-29 16:45 AHUser Status feedback => resolved
2004-12-29 16:45 AHUser Resolution open => fixed
2004-12-29 16:45 AHUser Assigned To => AHUser
2004-12-29 16:45 AHUser Note Added: 0006037
2004-12-29 16:45 AHUser Assigned To AHUser =>


Mantis 1.1.6[^]
Copyright © 2000 - 2008 Mantis Group
Powered by Mantis Bugtracker